Get work experiences
curl --request GET \
--url https://api.gospott.com/candidates/{id}/work-experiences \
--header 'x-api-key: <api-key>'import requests
url = "https://api.gospott.com/candidates/{id}/work-experiences"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.gospott.com/candidates/{id}/work-experiences', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"workExperiences": [
{
"id": "<string>",
"companyName": "<string>",
"companyId": "<string>",
"companyLogoUrl": "<string>",
"jobTitle": "<string>",
"description": "<string>",
"startDate": "2023-11-07T05:31:56Z",
"endDate": "2023-11-07T05:31:56Z",
"location": {
"street1": "<string>",
"street2": "<string>",
"postalCode": "<string>",
"city": "<string>",
"region": "<string>",
"state": "<string>",
"country": "<string>",
"rawCityCountry": "<string>",
"latitude": 123,
"longitude": 123,
"formattedAddress": "<string>"
},
"placements": [
{
"id": "<string>",
"application": {
"id": "<string>"
},
"vacancy": {
"id": "<string>"
}
}
]
}
],
"workExperiencesStats": {
"totalExperienceInMonths": 123,
"averageTenureInMonths": 123,
"currentTenureInMonths": 123
}
}{
"status": 0,
"message": "<string>",
"requestId": "<string>",
"errors": [
{
"code": "REQUIRED",
"path": "<string>",
"message": "<string>",
"received": "<unknown>"
}
]
}{
"status": 0,
"message": "<string>",
"requestId": "<string>"
}{
"status": 0,
"message": "<string>",
"requestId": "<string>"
}{
"status": 0,
"message": "<string>",
"requestId": "<string>"
}Candidates
Get work experiences
Retrieve all work experiences for a specific candidate including job titles, companies, dates, and experience statistics.
GET
/
candidates
/
{id}
/
work-experiences
Get work experiences
Authorizations
API key for authentication. Get your API key from Settings → API Keys in your Spott dashboard.
Path Parameters
⌘I

